<script setup>
import { reactive, ref } from "vue";
import { RouterLink } from "vue-router"
import router from "../router";
import { useFetch } from "@vueuse/core"
import { useUserStore } from "@/stores/user"

const { setUser } = useUserStore()
const username = ref('')
const password = ref('')
const payload = reactive({ username: '', password: '' })
const { isFetching, data, execute: login } = useFetch(`${import.meta.env.VITE_API_URL}/auth/login`, { immediate: false }).post(payload, 'json').json()

const handleLogin = async () => {
  payload.username = username.value
  payload.password = password.value;

  await login()

  // window.console.log(data.value?.data)

  if (data.value?.data) {
    const { id, username, email, name, image_url } = data.value?.data

    window.console.log(id)
    localStorage.setItem('koncooUser', JSON.stringify({ id, username, email, name, image_url }))
    setUser({ id, username, email, name, image_url })
    router.push('/')
  }
}

</script>

<template>
  <div class="relative">
    <img class="background absolute -right-60 top-10 -z-2" src="patric.png" alt="" />
    <div class="card ">
      <div class="">
        <img class="mb-2 mx-auto" src="logo.png" alt="">
        <p class="text-center text-2xl">Login to your account </p>
      </div>
      <form @submit.prevent="handleLogin">
        <div class="mb-3">
          <label for="usernameInput" class="form-label">Username</label>
          <input v-model="username" type="text" class="form-control" id="usernameInput" placeholder="Username" />
        </div>
        <div class="mb-3">
          <label for="passwordInput" class="form-label">Password</label>
          <input v-model="password" type="password" class="form-control" id="passwordInput" placeholder="Password" />
        </div>
        <button :disabled="isFetching" class="btn btn-primary w-full" type="submit">Log In</button>
        
      </form>
      
        <RouterLink to="/registration" class="btn btn-outline-primary mt-3">Sign Up</RouterLink>
    </div>
  </div>
</template>

<style lang="postcss" scoped>
.background {
  width: 1000px;
}

.card {
  @apply absolute;

  padding: 24px;
  width: 450px;
  top: 20vh;
  left: 10vw;
}

html {
  background-color: aqua;
}
</style>
